Subject: bug#2346: 23.0.90; When starting emacs as a server, keybindings are different.

From: Johannes Rauh <[email-masked]>
Date: Mon, 16 Feb 2009 17:41:40 +0100

I am running emacs 23.0.90 as a server on a ThinkPad T 43. The ThinkPad
has two additional keys next to the arrow keys which emacs recognizes as
f19 and f20. I use them to switch the buffer. The last two lines of my
.emacs file are:

(global-set-key [f19] 'previous-buffer)
(global-set-key [f20] 'next-buffer)

This works fine when I start emacs as a seperate process. However, if I
use emacsclient -c, then f19 is bound correctly, but f20 is bound to
clipboard-kill-region.

In GNU Emacs 23.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-02-16 on localhost
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--prefix=/usr' '--host=i686-pc-linux-gnu'
'--mandir=/usr/share/man' '--infodir=/usr/share/info'
'--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib'
'--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23'
'--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif'
'--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm'
'--with-freetype' '--with-xft' '--without-libotf' '--without-m17n-flt'
'--with-x-toolkit=gtk' '--without-hesiod' '--with-kerberos'
'--with-kerberos5' '--with-gpm' '--with-dbus'
'--build=i686-pc-linux-gnu' 'build_alias=i686-pc-linux-gnu'
'host_alias=i686-pc-linux-gnu' 'CFLAGS=-O2 -march=pentium-m -pipe'
'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  nxhtml-global-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<f20> C-x o C-x o C-x 0 <f19> <C-home> M-x r e p o
<tab> r - <tab> <return>

Recent messages:
(feature 'rngalt)=t
(feature 'tidy-xhtml)=t
Loading /home/jarauh/.emacs.d/nxhtml/autostart.el (source)...done
Loading /home/jarauh/.emacs.d/graphviz-dot-mode.el (source)...done
Loading /home/jarauh/.emms-cache...done
Starting Emacs daemon.
When done with this frame, type C-x 5 0
Entering debugger...
Mark set
Making completion list...